felix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Fabian Lange (JIRA)" <j...@apache.org>
Subject [jira] [Created] (FELIX-5681) Felix crashes on Kubernetes
Date Tue, 22 Aug 2017 17:07:00 GMT
Fabian Lange created FELIX-5681:
-----------------------------------

             Summary: Felix crashes on Kubernetes
                 Key: FELIX-5681
                 URL: https://issues.apache.org/jira/browse/FELIX-5681
             Project: Felix
          Issue Type: Bug
            Reporter: Fabian Lange


This is from a customer report, I do not have any more details right now, but I think somebody
familiar with felix can probably narrow this down quickly:

It is attempted to start karaf (4.1.2) on a container running this version of linux:

(uname -a) 
Linux gke-kubernetes-default-pool-48794fef-87mh 4.4.64+ #1 SMP Thu Aug 3 19:45:16 PDT 2017
x86_64 Intel(R) Xeon(R) CPU @ 2.60GHz GenuineIntel GNU/Linux

Which produces this output to std-err:

2017-08-22T14:50:10.731417678Z invalid version "4.4.64.": invalid format


my current guess (without any stacktrace available) is that the version parser trips. At least
this is precisely the error message format of:
https://github.com/apache/felix/blob/trunk/framework/src/main/java/org/osgi/framework/Version.java

which uses the OS version here:
https://github.com/apache/felix/blob/a4755e768329a29252b1d7d8e52537941768606d/framework/src/main/java/org/apache/felix/framework/ExtensionManager.java#L288

Potentially related issue:
https://issues.apache.org/jira/browse/FELIX-4696





--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message